# Differentiation

Documentation for `Manifolds.jl`'s methods and types for finite differences and automatic differentiation.

## Differentiation backends

```@autodocs
Modules = [Manifolds]
Pages = ["differentiation/differentiation.jl"]
Order = [:type, :function, :constant]
```

Further differentiation backends and features are available in [`ManifoldDiff.jl`](https://github.com/JuliaManifolds/ManifoldDiff.jl).

### FiniteDifferenes.jl

```@autodocs
Modules = [Manifolds]
Pages = ["differentiation/finite_differences.jl"]
Order = [:type, :function, :constant]
```

## Riemannian differentiation backends

```@autodocs
Modules = [Manifolds]
Pages = ["differentiation/riemannian_diff.jl"]
Order = [:type, :function, :constant]
```

```@autodocs
Modules = [Manifolds]
Pages = ["differentiation/embedded_diff.jl"]
Order = [:type, :function, :constant]
```
